$(document).ready(function() {
	/* Search */
	$('.button-search').bind('click', function() {
		url = $('base').attr('href') + 'index.php?route=product/search';
				 
		var filter_name = $('input[name=\'filter_name\']').attr('value');
		
		if (filter_name) {
			url += '&filter_name=' + encodeURIComponent(filter_name);
		}
		
		location = url;
	});
	
	$('#header input[name=\'filter_name\']').bind('keydown', function(e) {
		if (e.keyCode == 13) {
			url = $('base').attr('href') + 'index.php?route=product/search';
			 
			var filter_name = $('input[name=\'filter_name\']').attr('value');
			
			if (filter_name) {
				url += '&filter_name=' + encodeURIComponent(filter_name);
			}
			
			location = url;
		}
	});
	
	$('.success img, .warning img, .attention img, .information img').live('click', function() {
		$(this).parent().slideUp('slow', function() {
			$(this).remove();
		});
	});	
});

function addToCart(product_id, caller, quantity) {
	quantity = typeof(quantity) != 'undefined' ? quantity : 1;

	$.ajax({
		url: 'index.php?route=checkout/cart/update',
		type: 'post',
		data: 'product_id=' + product_id + '&quantity=' + quantity,
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, .information, .error').remove();
			
			if (json['redirect']) {
				location = json['redirect']+'&select';//pass a get if a select is required so we can give the customer an indication
			}
			
			if (json['success']) {
		
				if ($('#m_basket_count').length>0) {
					$('#m_basket_count').html(parseInt($('#m_basket_count').html())+parseInt(quantity));
				} else {
					$('#m_basket').append(' (<span id="m_basket_count">'+parseInt(quantity)+'</span>)');
				}
				caller.before('<p class="added success">Product added to cart!</p>');
				$('.added').slideDown().delay(2000).slideUp(function(){$(this).remove();});
			}	
		}
	});
}
function addToWishList(product_id,caller) {
	$.ajax({
		url: 'index.php?route=account/wishlist/update',
		type: 'post',
		data: 'product_id=' + product_id,
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, .information').remove();
						
			if (json['success']) {
				
				$('#wishlist-total').html(json['total']);
				caller.before('<p class="added success">Product added to wish list!</p>');
				$('.added').slideDown().delay(2000).slideUp(function(){$(this).remove();});				
			}	
		}
	});
}

