<?php echo $header; ?><?php echo $column_left; ?><?php echo $column_right; ?>
<div id="content"><?php echo $content_top; ?>
  <h1><?php echo $heading_title; ?></h1>
  <?php if ($error_warning) { ?>
  <div class="warning"><?php echo $error_warning; ?></div>
  <?php } ?>
  <?php echo $text_description; ?>
  <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="return">
    <h2><?php echo $text_order; ?></h2>
    <div class="content">
      <div>
	  	<label><span class="required">*</span> <?php echo $entry_firstname; ?></label>
        <input type="text" name="firstname" value="<?php echo $firstname; ?>"  />
        <?php if ($error_firstname) { ?>
        <span class="error"><?php echo $error_firstname; ?></span>
        <?php } ?>
        <label><span class="required">*</span> <?php echo $entry_lastname; ?></label>
        <input type="text" name="lastname" value="<?php echo $lastname; ?>"  />
        <?php if ($error_lastname) { ?>
        <span class="error"><?php echo $error_lastname; ?></span>
        <?php } ?>
        <label><span class="required">*</span> <?php echo $entry_email; ?></label>
        <input type="text" name="email" value="<?php echo $email; ?>"  />
        <?php if ($error_email) { ?>
        <span class="error"><?php echo $error_email; ?></span>
        <?php } ?>
        <label><span class="required">*</span> <?php echo $entry_telephone; ?></label>
        <input type="text" name="telephone" value="<?php echo $telephone; ?>"  />
        <?php if ($error_telephone) { ?>
        <span class="error"><?php echo $error_telephone; ?></span>
        <?php } ?>
        <label><span class="required">*</span> <?php echo $entry_order_id; ?></label>
        <input type="text" name="order_id" value="<?php echo $order_id; ?>"  />
        <?php if ($error_order_id) { ?>
        <span class="error"><?php echo $error_order_id; ?></span>
        <?php } ?>
        <label><?php echo $entry_date_ordered; ?></label>
        <input type="text" name="date_ordered" value="<?php echo $date_ordered; ?>" class="large-field date" />
      </div>
    </div>
    <h2><?php echo $text_product; ?></h2>
    <div id="return-product">
      <?php $return_product_row = 0; ?>
      <?php foreach ($return_products as $return_product) { ?>
      <div id="return-product-row<?php echo $return_product_row; ?>">
        <div class="content">
          <div class="return-product">
            <label><span class="required">*</span> <?php echo $entry_product; ?></label>
            <input type="text" name="return_product[<?php echo $return_product_row; ?>][name]" value="<?php echo $return_product['name']; ?>" />
			<?php if (isset($error_name[$return_product_row])) { ?>
			<span class="error"><?php echo $error_name[$return_product_row]; ?></span>
			<?php } ?>
            <label><span class="required">*</span> <?php echo $entry_model; ?></label>
            <input type="text" name="return_product[<?php echo $return_product_row; ?>][model]" value="<?php echo $return_product['model']; ?>" />
			<?php if (isset($error_model[$return_product_row])) { ?>
			<span class="error"><?php echo $error_model[$return_product_row]; ?></span>
			<?php } ?>
            <label><?php echo $entry_quantity; ?></label>
            <input type="text" name="return_product[<?php echo $return_product_row; ?>][quantity]" value="<?php echo $return_product['quantity']; ?>" />
          </div>
          <div class="return-detail">
            <label><span class="required">*</span> <?php echo $entry_reason; ?></label>
				<?php $count_radios = sizeOf($return_reasons);
				$count_printed_radios = 0;		
                foreach ($return_reasons as $return_reason) { 
					$count_printed_radios++;
					if ($count_radios == 1) $radio_class[$count_printed_radios] = "radio_single";
					else if($count_printed_radios == 1) $radio_class[$count_printed_radios] = "radio_top";
					else if($count_printed_radios == $count_radios) $radio_class[$count_printed_radios] = "radio_bottom";
					else $radio_class[$count_printed_radios] = "radio_middle";
					if (isset($return_product['return_reason_id']) && $return_reason['return_reason_id'] == $return_product['return_reason_id']) { ?>
						<label class="<?php echo $radio_class[$count_printed_radios];?>" for="return-reason-id<?php echo $return_product_row; ?><?php echo $return_reason['return_reason_id']; ?>">
					  	<input type="radio" name="return_product[<?php echo $return_product_row; ?>][return_reason_id]" value="<?php echo $return_reason['return_reason_id']; ?>" id="return-reason-id<?php echo $return_product_row; ?><?php echo $return_reason['return_reason_id']; ?>" checked="checked" /></td>
					  	<?php echo $return_reason['name']; ?>
						</label>
					<?php } else { ?>
						<label class="<?php echo $radio_class[$count_printed_radios];?>" for="return-reason_id<?php echo $return_product_row; ?><?php echo $return_reason['return_reason_id']; ?>">
					  	<input type="radio" name="return_product[<?php echo $return_product_row; ?>][return_reason_id]" value="<?php echo $return_reason['return_reason_id']; ?>" id="return-reason-id<?php echo $return_product_row; ?><?php echo $return_reason['return_reason_id']; ?>" /></td>
					  	<?php echo $return_reason['name']; ?>
						</label>
					<?php  } ?>
                <?php  } ?>
              <?php if (isset($error_reason[$return_product_row])) { ?>
              <span class="error"><?php echo $error_reason[$return_product_row]; ?></span>
              <?php } ?>
            </div>
            <div class="return-opened">
			  <label><?php echo $entry_opened; ?></label>
			  <label class="radio_top" for="opened<?php echo $return_product_row; ?>">
			  <?php if ($return_product['opened']) { ?>
				  <input type="radio" name="return_product[<?php echo $return_product_row; ?>][opened]" value="1" id="opened<?php echo $return_product_row; ?>" checked="checked" />
              <?php } else { ?>
				  <input type="radio" name="return_product[<?php echo $return_product_row; ?>][opened]" value="1" id="opened<?php echo $return_product_row; ?>" />
              <?php } ?>
              <?php echo $text_yes; ?>
			  </label>
			  <label class="radio_bottom" for="unopened<?php echo $return_product_row; ?>">
              <?php if (!$return_product['opened']) { ?>
				  <input type="radio" name="return_product[<?php echo $return_product_row; ?>][opened]" value="0" id="unopened<?php echo $return_product_row; ?>" checked="checked" />
              <?php } else { ?>
				  <input type="radio" name="return_product[<?php echo $return_product_row; ?>][opened]" value="0" id="unopened<?php echo $return_product_row; ?>" />
              <?php } ?>
              <?php echo $text_no; ?>
			  </label>
              <label><?php echo $entry_fault_detail; ?></label>
              <textarea name="return_product[<?php echo $return_product_row; ?>][comment]" cols="45" rows="6"><?php echo $return_product['comment']; ?></textarea>
            </div>
            <div class="return-remove"><a onclick="$('#return-product-row<?php echo $return_product_row; ?>').remove();" class="button"><span><?php echo $button_remove; ?></span></a></div>
          </div>
        </div>
      </div>
      <?php $return_product_row++; ?>
      <?php } ?>
    </div>
    <div class="buttons">
      <div class="left"><a onclick="addReturnProduct();" class="button"><span><?php echo $button_add_product; ?></span></a></div>
    </div>
    <h2><?php echo $text_additional; ?></h2>
    <div class="return-additional">
	  <div class="content">
		  <div class="return-comment">
			<textarea name="comment" cols="50" rows="6"><?php echo $comment; ?></textarea>
		  </div>
		  <div class="return-captcha"><b><?php echo $entry_captcha; ?></b><br />
			<input type="text" name="captcha" value="<?php echo $captcha; ?>" />
			<br />
			<img src="index.php?route=account/return/captcha" alt="" />
			<?php if ($error_captcha) { ?>
			<span class="error"><?php echo $error_captcha; ?></span>
			<?php } ?>
		  </div>
	  </div>
    </div>
    <div class="buttons">
      <div class="left"><a href="<?php echo $back; ?>" class="button"><span><?php echo $button_back; ?></span></a></div>
      <div class="right"><a onclick="$('#return').submit();" class="button"><span><?php echo $button_continue; ?></span></a></div>
    </div>
  </form>
  <?php echo $content_bottom; ?></div>
<script type="text/javascript"><!--
var return_product_row = <?php echo $return_product_row; ?>;

function addReturnProduct() {
	html  = '<div id="return-product-row' + return_product_row + '">';
	html += '  <div class="content">';
	html += '    <div class="return-product">';
	html += '      <label><span class="required">*</span> <?php echo $entry_product; ?></label><input type="text" name="return_product[' + return_product_row + '][name]" value="" />';
	html += '      <label><span class="required">*</span> <?php echo $entry_model; ?></label><input type="text" name="return_product[' + return_product_row + '][model]" value="" />';
	html += '      <label><?php echo $entry_quantity; ?></label><input type="text" name="return_product[' + return_product_row + '][quantity]" value="1" />';
	html += '    </div>';
	html += '    <div class="return-detail">';
	html += '      <label><span class="required">*</span> <?php echo $entry_reason; ?></label>';
	html += '        <table>';
	<?php 
	global $count_radios;
	$count_printed_radios = 0;		
	foreach ($return_reasons as $return_reason) { 
	$count_printed_radios++;
	if ($count_radios == 1) $radio_class[$count_printed_radios] = "radio_single";
	else if($count_printed_radios == 1) $radio_class[$count_printed_radios] = "radio_top";
	else if($count_printed_radios == $count_radios) $radio_class[$count_printed_radios] = "radio_bottom";
	else $radio_class[$count_printed_radios] = "radio_middle";
	?>
	html += '            <label class="<?php echo $radio_class[$count_printed_radios]; ?>" for="return-reason-id' + return_product_row + '<?php echo $return_reason['return_reason_id']; ?>"><input type="radio" name="return_product[' + return_product_row + '][return_reason_id]" value="<?php echo $return_reason['return_reason_id']; ?>" id="return-reason-id' + return_product_row + '<?php echo $return_reason['return_reason_id']; ?>" /></td>';
	html += '            <?php echo $return_reason['name']; ?></label>';
	<?php  } ?>
	html += '        </table>';
	html += '    </div>';
	html += '    <div class="return-opened">';
	html += '      <label><?php echo $entry_opened; ?></label>';
	html += '      <label class="radio_top" for="opened' + return_product_row + '"><input type="radio" name="return_product[' + return_product_row + '][opened]" value="1" id="opened' + return_product_row + '" checked="checked" /><?php echo $text_yes; ?></label> <label class="radio_bottom" for="unopened' + return_product_row + '"><input type="radio" name="return_product[' + return_product_row + '][opened]" value="0" id="unopened' + return_product_row + '" /><?php echo $text_no; ?></label>';	
	html += '	   <label><?php echo $entry_fault_detail; ?></label><textarea name="return_product[' + return_product_row + '][comment]" cols="45" rows="6"></textarea>';
	html += '    </div>';
    html += '    <div class="return-remove"><a onclick="$(\'#return-product-row' + return_product_row + '\').remove();" class="button"><span><?php echo $button_remove; ?></span></a></div>';
	html += '  </div>';
	html += '</div>';
	
	$('#return-product').append(html);
 
	$('#return-product-row' + return_product_row + ' .date').datepicker({dateFormat: 'yy-mm-dd'});
	
	return_product_row++;
}
//--></script> 
<script type="text/javascript"><!--
$(document).ready(function() {
	$('.date').datepicker({dateFormat: 'yy-mm-dd'});
});
//--></script> 
<?php echo $footer; ?>