<?php echo $header; ?>
<?php if ($attention) { ?>
<div class="attention"><?php echo $attention; ?><img src="catalog/view/theme/default/image/close.png" alt="" class="close" /></div>
<?php } ?>
<?php if ($success) { ?>
<div class="success"><?php echo $success; ?><img src="catalog/view/theme/default/image/close.png" alt="" class="close" /></div>
<?php } ?>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?><img src="catalog/view/theme/default/image/close.png" alt="" class="close" /></div>
<?php } ?>

<div id="content">
  <h1><?php echo $heading_title; ?>
    <?php if ($weight) { ?>
    &nbsp;(<?php echo $weight; ?>)
    <?php } ?>
  </h1>
  <form id="basket" action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">
    <div class="cart-info">
          <?php foreach ($products as $product) { ?>
		  	 <div class="product">
				<div class="product_summary">
					<h2 <?php if (!$product['stock']) echo 'class="warning"';?>><a href="<?php echo $product['href']; ?>"><?php echo $product['name']; ?></a>
						<?php if (!$product['stock']) { ?>
							  <span class="stock">***</span>
						<?php } ?>
					</h2>
					<div>
						<?php foreach ($product['option'] as $option) { ?>
							- <small><?php echo $option['name']; ?>: <?php echo $option['value']; ?></small><br />
						<?php } ?>
					</div>
					<?php if ($product['reward']) { ?>
						<small><?php echo $product['reward']; ?></small>
					<?php } ?>
					<label class="quantity">
						<span><?php echo $column_quantity; ?>: </span>
						<input type="text" name="quantity[<?php echo $product['key']; ?>]" value="<?php echo $product['quantity']; ?>" size="1" />
					</label>
					<p>
						<?php echo $column_price; ?>: <b><?php echo $product['price']; ?></b>
						<?php echo $column_total; ?>: <b><?php echo $product['total']; ?></b>
					</p>
					<label class="checkbox_single"><input type="checkbox"  name="remove[]" value="<?php echo $product['key']; ?>" ><span><?php echo $column_remove; ?></span></label>
					<a onclick="$('#basket').submit();" class="button" id="update" ><?php echo $button_update; ?></a>
				</div>
					
				<?php if ($product['thumb']) { ?>
					<a class="product_thumb" href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" alt="<?php echo $product['name']; ?>" title="<?php echo $product['name']; ?>" /></a>
				<?php } ?>
		 		</div>
			<?php } ?>
          	<?php foreach ($vouchers as $vouchers) { ?>
          		<?php echo $vouchers['description']; ?>
            	<input type="text" name="" value="1" size="1" disabled="disabled" />
              	<a href="<?php echo $vouchers['remove']; ?>">
					<img src="catalog/view/theme/default/image/remove.png" alt="<?php echo $text_remove; ?>" title="<?php echo $button_remove; ?>" />
				</a>
            	<?php echo $vouchers['amount']; ?>
            	<?php echo $vouchers['amount']; ?>
         <?php } ?>
	  </div>
  </form>
    <div class="cart-module">
      <?php foreach ($modules as $module) { ?>
      <?php echo $module; ?>
      <?php } ?>
    </div>
  <div class="cart-total">
    <table id="total">
      <?php foreach ($totals as $total) { ?>
      <tr>
        <td colspan="5" class="right"><b><?php echo $total['title']; ?>:</b></td>
        <td class="right"><?php echo $total['text']; ?></td>
      </tr>
      <?php } ?>
    </table>
  </div>
  <div class="buttons">
    <div class="left"><a href="<?php echo $continue; ?>" class="button"><?php echo $button_shopping; ?></a></div>
    <div class="right"><a href="<?php echo $checkout; ?>" class="button"><?php echo $button_checkout; ?></a></div>
  </div>
  <?php echo $content_bottom; ?></div>

<?php echo $footer; ?>